AudioData Class Referenceabstract

interface definition for AudioData objects. More...

`#include <AudioData.h>`

Inheritance diagram for AudioData:

## Public Member Functions

virtual void | read (BinaryIO *io, UWORD32 n=NoLimit)=0
virtual void | write (BinaryIO *io, UWORD32 n=NoLimit)=0
Public Member Functions inherited from CvrStgObject
virtual unsigned long | getNumSamples (void) const =0
virtual SampleValue * | getSampleValue (const SamplePos pos) const =0
virtual void | replaceSample (const SamplePos pos, const SampleValue *s)=0

## Static Public Attributes

static const UWORD32 | NoLimit = 0
| constant that can be used as parameter to read and write to indicate that there is no limit

## Detailed Description

This class is necessary to provide one common base class for all types of audio data, i.e. all different instances of AudioDataImpl.

## Member Function Documentation

## read()

virtual void AudioData::read | ( | BinaryIO * | io,
|  | UWORD32 | n = NoLimit )

pure virtual

Implemented in AudioDataImpl< Type, ValueType, SampleValueType >, AudioDataImpl< AuMuLaw, BYTE >, AudioDataImpl< AuPCM16, SWORD16 >, AudioDataImpl< AuPCM32, SWORD32 >, and AudioDataImpl< AuPCM8, SBYTE >.

## write()

virtual void AudioData::write | ( | BinaryIO * | io,
|  | UWORD32 | n = NoLimit )

pure virtual

Implemented in AudioDataImpl< Type, ValueType, SampleValueType >, AudioDataImpl< AuMuLaw, BYTE >, AudioDataImpl< AuPCM16, SWORD16 >, AudioDataImpl< AuPCM32, SWORD32 >, and AudioDataImpl< AuPCM8, SBYTE >.

## Member Data Documentation

## NoLimit

const UWORD32 AudioData::NoLimit = 0

static

The documentation for this class was generated from the following file:

- AudioData.h